Subject: [rtcweb] DTLS role during SDP renegotiation

From: Roman Shpount <[email-masked]>
Date: Fri, 8 Apr 2016 19:30:27 -0400

Hi All,

I've listened through the IEFT95 session recording and I wanted to clarify
one thing. DTLS setup attribute MUST be set to the currently negotiated
role if not accompanied by ICE restart and SHOULD be actpass in case of ICE
restart. The reason for this is that answerer is allowed to start a new
DTLS association in response to the offer with ICE restart. When answerer
starts a new DTLS association, it might be beneficial to change the DTLS
setup role. Answerer is not allowed to start new DTLS association if
offerer did not initiate an ICE restart since new transport cannot be
created for the DTLS association, so offerer MUST preserve the setup role
in this case.

Regards,
_____________
Roman Shpount